订单
查询订单
通过 ID 查询能量或带宽订单的状态
GET
/
api
/
v1
/
orders
/
{order_id}
查询订单
curl --request GET \
--url https://api.example.com/api/v1/orders/{order_id}import requests
url = "https://api.example.com/api/v1/orders/{order_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
查询订单
返回能量或带宽订单的当前状态和完整详情。路径参数
number
必填
订单 ID —— 由 Buy Energy 或 Buy Bandwidth 返回的
id。响应
返回完整的订单对象,包括status、type、volume、price_trx、delegate_txid 和时间戳。
订单状态
| 状态 | 说明 |
|---|---|
pending | 订单已接收,正在委托中 |
filled | 能量或带宽委托成功 |
failed | 委托失败 |
reclaimed | 租用期结束后带宽已回收(仅带宽订单) |
示例
curl https://api.tronrental.com/v1/orders/12345 \
-H "X-API-Key: your_api_key"
Response
{
"id": 12345,
"type": "energy",
"target_address": "TRecipientAddress...",
"volume": 65000,
"duration": "1h",
"price_trx": "1.79",
"status": "filled",
"delegate_txid": "a1b2c3d4e5f6...",
"undelegate_txid": null,
"reclaim_at": null,
"source": "api",
"created_at": "2026-06-10T04:30:00Z"
}
⌘I
查询订单
